Package com.google.android.exoplayer2

## Class IllegalSeekPositionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - com.google.android.exoplayer2.IllegalSeekPositionException

- All Implemented Interfaces:
    `Serializable`

      public final class IllegalSeekPositionException
      extends IllegalStateException

  Thrown when an attempt is made to seek to a position that does not exist in the player's `Timeline`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `positionMs` | The seek position in the specified window.
    `Timeline` | `timeline` | The `Timeline` in which the seek was attempted.
    `int` | `windowIndex` | The index of the window being seeked to.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalSeekPositionException​(Timeline timeline, int windowIndex, long positionMs)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timeline

          public final Timeline timeline

      The `Timeline` in which the seek was attempted.

    - #### windowIndex

          public final int windowIndex

      The index of the window being seeked to.

    - #### positionMs

          public final long positionMs

      The seek position in the specified window.

  - ### Constructor Detail

    - #### IllegalSeekPositionException

          public IllegalSeekPositionException​(Timeline timeline,
                                              int windowIndex,
                                              long positionMs)

      Parameters:
        `timeline` - The `Timeline` in which the seek was attempted.
        `windowIndex` - The index of the window being seeked to.
        `positionMs` - The seek position in the specified window.